(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@dojo/shim/global"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var global_1 = require("@dojo/shim/global");
    // 转换字符串为数据路径：
    // 1. a.b  -> /a/b
    // 2. array[1].a.b  -> /array/1/a/b
    // 3. array[1]['a'] -> /array/1/a
    function _getPath(name) {
        var path = name.replace(/\./g, '/').replace(/"/g, '').replace(/'/g, '').replace(/\[/g, '/').replace(/\]/g, '');
        if (path.indexOf('\/') != 0) {
            path = '/' + path;
        }
        return path;
    }
    function _getStore() {
        return global_1.default.store;
    }
    /**
     * getData 用于从 store 中取出数据
     * @param keyPath 数据路径
     */
    function getData(keyPath) {
        if (!keyPath) {
            return;
        }
        var store = _getStore();
        if (!store) {
            throw Error('未找到 store，请设置 global.store');
        }
        var get = store.get, path = store.path;
        var dataPath = _getPath(keyPath);
        return get(path(dataPath));
    }
    exports.default = getData;
});
//# sourceMappingURL=getData.js.map