(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../util/templateString"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var templateString_1 = require("../util/templateString");
    function _parse(content, obj) {
        if (content && typeof (content) === 'string' && content.indexOf('${') > -1) {
            return templateString_1.default(content, obj);
        }
        else {
            return content;
        }
    }
    /**
     * 基于 javascript 的 console 的消息打印组件
     */
    var print = {
        log: function (content) {
            console.log(_parse(content, this));
        },
        info: function (content) {
            console.info(_parse(content, this));
        },
        warn: function (content) {
            console.warn(_parse(content, this));
        },
        error: function (content) {
            console.error(_parse(content, this));
        }
    };
    exports.default = print;
});
//# sourceMappingURL=print.js.map