"use strict";
import parseTemplate from '../util/templateString';
function _parse(content, obj) {
    if (content && typeof (content) === 'string' && content.indexOf('${') > -1) {
        return parseTemplate(content, obj);
    }
    else {
        return content;
    }
}
/**
 * 基于 javascript 的 console 的消息打印组件
 */
const print = {
    log(content) {
        console.log(_parse(content, this));
    },
    info(content) {
        console.info(_parse(content, this));
    },
    warn(content) {
        console.warn(_parse(content, this));
    },
    error(content) {
        console.error(_parse(content, this));
    }
};
export default print;
//# sourceMappingURL=print.mjs.map