(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@dojo/framework/stores/process", "@dojo/framework/stores/state/operations", "@dojo/shim/global"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var process_1 = require("@dojo/framework/stores/process");
    var operations_1 = require("@dojo/framework/stores/state/operations");
    var global_1 = require("@dojo/shim/global");
    // 转换字符串为数据路径：
    // 1. a.b  -> /a/b
    // 2. array[1].a.b -> /array/1/a/b
    // 3. array[1]['a'] 或 array[1]["a"] -> /array/1/a
    function _getPath(name) {
        var path = name.replace(/\./g, '/').replace(/"/g, '').replace(/'/g, '').replace(/\[/g, '/').replace(/\]/g, '');
        if (path.indexOf('\/') != 0) {
            path = '/' + path;
        }
        return path;
    }
    function _getStore() {
        return global_1.default.store;
    }
    /**
     * 用于更新 store 中的值
     * @param data json 对象
     */
    function setData(data) {
        if (!data) {
            return;
        }
        var store = _getStore();
        if (!store) {
            throw Error('未找到 store，请设置 global.store');
        }
        var path = store.path;
        var operations = [];
        Object.keys(data).forEach(function (key) {
            operations.push(operations_1.replace(path(_getPath(key)), data[key]));
        });
        process_1.processExecutor('set-data-process', [function () { return operations; }], store, undefined, undefined)({});
    }
    exports.default = setData;
});
//# sourceMappingURL=setData.js.map