(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var tslib_1 = require("tslib");
    /**
     * 解析字符串模板
     * @param content 内容
     * @param obj 数据对象，content 中用到的表达式从数据对象中取
     */
    function parseTemplate(content, obj) {
        if (!content || !obj) {
            return content;
        }
        // 引用模板字符串
        var funcStr = 'return ' + '`' + content + '`';
        var regex = /\$\{(.*?)\}/g;
        var result = content.match(regex) || [];
        var paramsName = [];
        result.forEach(function (item, index) {
            item = item.substring(2, item.length - 1);
            paramsName.push(item);
        });
        var params = [];
        paramsName.forEach(function (name, index) {
            params.push(obj[name]);
        });
        var func = new (Function.bind.apply(Function, tslib_1.__spread([void 0], paramsName, [funcStr])))();
        return func.apply(void 0, tslib_1.__spread(params));
    }
    exports.default = parseTemplate;
});
//# sourceMappingURL=templateString.js.map